/*
BotV2

Bot API v2

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package botapiv2

import (
	"encoding/json"
)

// checks if the UploadNewFileRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &UploadNewFileRequest{}

// UploadNewFileRequest struct for UploadNewFileRequest
type UploadNewFileRequest struct {
	Url string `json:"url"`
}

// NewUploadNewFileRequest instantiates a new UploadNewFileRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewUploadNewFileRequest(url string) *UploadNewFileRequest {
	this := UploadNewFileRequest{}
	this.Url = url
	return &this
}

// NewUploadNewFileRequestWithDefaults instantiates a new UploadNewFileRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewUploadNewFileRequestWithDefaults() *UploadNewFileRequest {
	this := UploadNewFileRequest{}
	return &this
}

// GetUrl returns the Url field value
func (o *UploadNewFileRequest) GetUrl() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Url
}

// GetUrlOk returns a tuple with the Url field value
// and a boolean to check if the value has been set.
func (o *UploadNewFileRequest) GetUrlOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Url, true
}

// SetUrl sets field value
func (o *UploadNewFileRequest) SetUrl(v string) {
	o.Url = v
}

func (o UploadNewFileRequest) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o UploadNewFileRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["url"] = o.Url
	return toSerialize, nil
}

type NullableUploadNewFileRequest struct {
	value *UploadNewFileRequest
	isSet bool
}

func (v NullableUploadNewFileRequest) Get() *UploadNewFileRequest {
	return v.value
}

func (v *NullableUploadNewFileRequest) Set(val *UploadNewFileRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableUploadNewFileRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableUploadNewFileRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableUploadNewFileRequest(val *UploadNewFileRequest) *NullableUploadNewFileRequest {
	return &NullableUploadNewFileRequest{value: val, isSet: true}
}

func (v NullableUploadNewFileRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableUploadNewFileRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


